%define module	dateutil

Name:		python-%{module}
Summary:	Provides powerful extensions to the standard datetime module
Version:	2.4.2
Release:	%mkrel 4
License:	Python
Group:		Development/Python
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	http://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
# https://github.com/dateutil/dateutil/issues/11
Patch0:         python-dateutil-system-zoneinfo.patch
Patch1:         python-dateutil-timelex-string.patch
BuildRequires:	pkgconfig(python2)
BuildRequires:	python-setuptools
Requires:	python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python-six

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%package -n python3-%{module}
Group:		Development/Python
Summary:	Provides powerful extensions to the standard datetime module

%description -n python3-%{module}
The dateutil module provides powerful extensions to the standard
datetime module available in Python3.

%prep
%autosetup -p1 -n python-dateutil-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%license LICENSE
%doc README.rst NEWS
%{python2_sitelib}/%{module}
%{python2_sitelib}/python_%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%license LICENSE
%doc README.rst NEWS
%{python3_sitelib}/%{module}
%{python3_sitelib}/python_%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 17 2016 daviddavid <daviddavid> 2.4.2-4.mga6
+ Revision: 992382
- rediff unappliable patch0 and patch1 (since fixed autosetup)
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 2.4.2-3.mga6
+ Revision: 970495
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 2.4.2-2.mga6
+ Revision: 886989
- use new python macros
- use new python macros
- rebuild for python 3.5

* Fri Aug 14 2015 joequant <joequant> 2.4.2-1.mga6
+ Revision: 864733
- upgrade to 2.4.2

* Wed Oct 15 2014 umeabot <umeabot> 2.1-8.mga5
+ Revision: 739431
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1-7.mga5
+ Revision: 728225
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1-6.mga5
+ Revision: 687959
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1-5.mga5
+ Revision: 628543
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1-4.mga4
+ Revision: 543223
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1-3.mga4
+ Revision: 498354
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 2.1-2.mga4
+ Revision: 449640
- add Python3

* Thu Jun 06 2013 colin <colin> 2.1-1.mga4
+ Revision: 438228
- Bump release to non-testing number.

* Thu Jun 06 2013 colin <colin> 2.1-0.1.mga4
+ Revision: 438222
- New version: 2.1

* Tue Jan 15 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 388195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 blino <blino> 1.5-2.mga1
+ Revision: 78054
- imported package python-dateutil


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5-2mdv2011.0
+ Revision: 591649
- rebuild for python 2.7

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2010.1
+ Revision: 531327
- update to new version 1.5

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.1-3mdv2010.0
+ Revision: 442092
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.1-2mdv2009.1
+ Revision: 319472
- rebuild with python 2.6

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.4.1

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.4-1mdv2009.0
+ Revision: 195461
- buildrequires python-setuptools
- new release 1.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.3-1mdv2008.1
+ Revision: 119766
- New release

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-3mdv2008.0
+ Revision: 68660
- drop manual python-base dependency, there's an auto-generated one

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-2mdv2008.0
+ Revision: 68590
- add some python requires
- noarch

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2008.0
+ Revision: 68575
- Import python-dateutil

